import { s as subscribe } from './utils-CddEWsFi.js';
import { c as create_ssr_component, v as validate_component } from './ssr-zF9v48TM.js';
import { p as page } from './stores-2b6Nx3G0.js';
import './client-CjdeEz1m.js';
import './exports-DuWZopOC.js';

const AnimatedRoute = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => value);
  $$unsubscribe_page();
  return `<div>${slots.default ? slots.default({}) : ``}</div>`;
});
const Layout = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  $$unsubscribe_page();
  return `<nav class="flex justify-center my-10"><ul class="steps"><a href="/login" class="step step-primary" data-svelte-h="svelte-g5g2k4">Sign In</a> <a href="/login/username" class="${[
    "step",
    $page.route.id?.match(/username|photo/g) ? "step-primary" : ""
  ].join(" ").trim()}" data-svelte-h="svelte-1ar2g9k">Choose Username</a> <a href="/login/photo" class="${[
    "step",
    $page.route.id?.includes("photo") ? "step-primary" : ""
  ].join(" ").trim()}" data-svelte-h="svelte-198hyx1">Upload Photo</a></ul></nav> ${validate_component(AnimatedRoute, "AnimatedRoute").$$render($$result, {}, {}, {
    default: () => {
      return `<main class="card w-4/6 bg-neutral text-neutral-content mx-auto"><div class="card-body items-center text-center">${slots.default ? slots.default({}) : ``}</div></main>`;
    }
  })}`;
});

export { Layout as default };
//# sourceMappingURL=_layout.svelte-ADzzI9QY.js.map
