import { s as subscribe } from './utils-CddEWsFi.js';
import { c as create_ssr_component, v as validate_component, a as add_attribute, e as escape } from './ssr-zF9v48TM.js';
import { A as AuthCheck } from './AuthCheck-CXV-SLk_.js';
import { a as user, u as userData } from './firebase-C_9MAyfc.js';
import 'firebase/firestore';
import 'firebase/app';
import 'firebase/auth';
import 'firebase/storage';
import './index2-CGXXJYvl.js';

const re = /^(?=[a-zA-Z0-9._]{3,16}$)(?!.*[_.]{2})[^_.].*[^_.]$/;
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let isValid;
  let isTouched;
  let isTaken;
  let $$unsubscribe_user;
  let $userData, $$unsubscribe_userData;
  $$unsubscribe_user = subscribe(user, (value) => value);
  $$unsubscribe_userData = subscribe(userData, (value) => $userData = value);
  let username = "";
  let loading = false;
  let isAvailable = false;
  isValid = username.length > 3 && username.length < 16 && re.test(username);
  isTouched = username.length > 0;
  isTaken = isValid && !isAvailable && !loading;
  $$unsubscribe_user();
  $$unsubscribe_userData();
  return `${validate_component(AuthCheck, "AuthCheck").$$render($$result, {}, {}, {
    default: () => {
      return `${$userData?.username ? `<p class="text-lg">Your Username is <span class="text-xl text-success font-bold">@${escape($userData.username)}</span></p> <p class="text-sm" data-svelte-h="svelte-1e0u1kz">Username cannot be changed</p> <a class="btn btn-primary" href="/login/photo" data-svelte-h="svelte-8w91fs">UPLOAD PROFILE IMAGE</a>` : `<h2 data-svelte-h="svelte-h7fq4i">Username</h2> <form class="w-2/5 lowercase"><input type="text" placeholder="Username" draggable="true" class="${[
        "input w-full",
        (!isValid && isTouched ? "input-error" : "") + " " + (isTaken ? "input-warning" : "") + " "
      ].join(" ").trim()}"${add_attribute("value", username, 0)}> <div class="my-4 min-h-16 px-8 w-full">${``} ${!isValid && isTouched ? `<p class="text-error text-sm" data-svelte-h="svelte-1suomdh">must be 3-16 characters long, alphanumeric only</p>` : ``} ${isValid && !isAvailable && !loading ? `<p class="text-warning text-sm">@${escape(username)} is not available</p>` : ``} ${``} ${``}</div></form>`}`;
    }
  })}`;
});

export { Page as default };
//# sourceMappingURL=_page.svelte-BC-35-WY.js.map
