import { s as subscribe } from './utils-CddEWsFi.js';
import { c as create_ssr_component, v as validate_component, a as add_attribute } from './ssr-zF9v48TM.js';
import { A as AuthCheck } from './AuthCheck-CXV-SLk_.js';
import { a as user, u as userData } from './firebase-C_9MAyfc.js';
import 'firebase/firestore';
import 'firebase/storage';
import 'firebase/app';
import 'firebase/auth';
import './index2-CGXXJYvl.js';

const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let href;
  let $$unsubscribe_user;
  let $userData, $$unsubscribe_userData;
  $$unsubscribe_user = subscribe(user, (value) => value);
  $$unsubscribe_userData = subscribe(userData, (value) => $userData = value);
  href = `/${$userData?.username}/edit`;
  $$unsubscribe_user();
  $$unsubscribe_userData();
  return `${validate_component(AuthCheck, "AuthCheck").$$render($$result, {}, {}, {
    default: () => {
      return `<h2 class="card-title" data-svelte-h="svelte-1qkq5n1">Upload a Profile Photo</h2> <form class="max-w-screen-md w-full"><div class="form-control w-full max-w-xs my-10 mx-auto text-center"><img${add_attribute("src", $userData?.photoURL ?? "/user.png", 0)} alt="photoURL" width="256" height="256" class="mx-auto"> <label for="photoURL" class="" data-svelte-h="svelte-1f63sly"><span class="">Pick a file</span></label> <input name="photoURL" type="file" class="file-input file-input-bordered w-full max-w-xs" accept="image/png, image/jpeg, image/gif, image/webp"> ${``}</div></form> ${`<a${add_attribute("href", href, 0)} class="btn btn-primary">Finish</a>`}`;
    }
  })}`;
});

export { Page as default };
//# sourceMappingURL=_page.svelte-BClUjWFH.js.map
