const manifest = (() => {
function __memo(fn) {
	let value;
	return () => value ??= (value = fn());
}

return {
	appDir: "_app",
	appPath: "_app",
	assets: new Set(["favicon.png","favicon_io/about.txt","favicon_io/android-chrome-192x192.png","favicon_io/android-chrome-512x512.png","favicon_io/apple-touch-icon.png","favicon_io/favicon-16x16.png","favicon_io/favicon-32x32.png","favicon_io/favicon.ico","favicon_io/favicon.png","favicon_io/site.webmanifest","favicon_io.zip","icons/custom.png","icons/github.png","icons/instagram.png","icons/linkedin.png","icons/tiktok.png","icons/x.png","icons/youtube.png"]),
	mimeTypes: {".png":"image/png",".txt":"text/plain",".webmanifest":"application/manifest+json",".zip":"application/zip"},
	_: {
		client: {"start":"_app/immutable/entry/start.ypRUSqZn.js","app":"_app/immutable/entry/app.0G1dg49O.js","imports":["_app/immutable/entry/start.ypRUSqZn.js","_app/immutable/chunks/entry.stKGTazM.js","_app/immutable/chunks/scheduler.DiDAw0dB.js","_app/immutable/chunks/index.C5Bva64b.js","_app/immutable/entry/app.0G1dg49O.js","_app/immutable/chunks/scheduler.DiDAw0dB.js","_app/immutable/chunks/index.DtaVjF_F.js"],"stylesheets":[],"fonts":[],"uses_env_dynamic_public":false},
		nodes: [
			__memo(() => import('./chunks/0-k0cRajM4.js')),
			__memo(() => import('./chunks/1-BagMGf14.js')),
			__memo(() => import('./chunks/2-ZaznmHEf.js')),
			__memo(() => import('./chunks/3-DdKUFYTi.js')),
			__memo(() => import('./chunks/4-miUR-R9y.js')),
			__memo(() => import('./chunks/5-BaMbwY-t.js')),
			__memo(() => import('./chunks/6-DCobQUOa.js')),
			__memo(() => import('./chunks/7-BlcygNiZ.js')),
			__memo(() => import('./chunks/8-BHx66x4u.js'))
		],
		routes: [
			{
				id: "/",
				pattern: /^\/$/,
				params: [],
				page: { layouts: [0,], errors: [1,], leaf: 3 },
				endpoint: null
			},
			{
				id: "/login",
				pattern: /^\/login\/?$/,
				params: [],
				page: { layouts: [0,2,], errors: [1,,], leaf: 6 },
				endpoint: null
			},
			{
				id: "/login/photo",
				pattern: /^\/login\/photo\/?$/,
				params: [],
				page: { layouts: [0,2,], errors: [1,,], leaf: 7 },
				endpoint: null
			},
			{
				id: "/login/username",
				pattern: /^\/login\/username\/?$/,
				params: [],
				page: { layouts: [0,2,], errors: [1,,], leaf: 8 },
				endpoint: null
			},
			{
				id: "/[username]",
				pattern: /^\/([^/]+?)\/?$/,
				params: [{"name":"username","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,], errors: [1,], leaf: 4 },
				endpoint: null
			},
			{
				id: "/[username]/edit",
				pattern: /^\/([^/]+?)\/edit\/?$/,
				params: [{"name":"username","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,], errors: [1,], leaf: 5 },
				endpoint: null
			}
		],
		matchers: async () => {
			
			return {  };
		},
		server_assets: {}
	}
}
})();

const prerendered = new Set([]);

const base = "";

export { base, manifest, prerendered };
//# sourceMappingURL=manifest.js.map
